/*
 * Copyright 2005 - 2009  Zarafa B.V.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3, 
 * as published by the Free Software Foundation with the following additional 
 * term according to sec. 7:
 *  
 * According to sec. 7 of the GNU Affero General Public License, version
 * 3, the terms of the AGPL are supplemented with the following terms:
 * 
 * "Zarafa" is a registered trademark of Zarafa B.V. The licensing of
 * the Program under the AGPL does not imply a trademark license.
 * Therefore any rights, title and interest in our trademarks remain
 * entirely with us.
 * 
 * However, if you propagate an unmodified version of the Program you are
 * allowed to use the term "Zarafa" to indicate that you distribute the
 * Program. Furthermore you may use our trademarks where it is necessary
 * to indicate the intended purpose of a product or service provided you
 * use it in accordance with honest practices in industrial or commercial
 * matters.  If you want to propagate modified versions of the Program
 * under the name "Zarafa" or "Zarafa Server", you may only do so if you
 * have a written permission by Zarafa B.V. (to acquire a permission
 * please contact Zarafa at trademark@zarafa.com).
 * 
 * The interactive user interface of the software displays an attribution
 * notice containing the term "Zarafa" and/or the logo of Zarafa.
 * Interactive user interfaces of unmodified and modified versions must
 * display Appropriate Legal Notices according to sec. 5 of the GNU
 * Affero General Public License, version 3, when you propagate
 * unmodified or modified versions of the Program. In accordance with
 * sec. 7 b) of the GNU Affero General Public License, version 3, these
 * Appropriate Legal Notices must retain the logo of Zarafa or display
 * the words "Initial Development by Zarafa" if the display of the logo
 * is not reasonably feasible for technical reasons. The use of the logo
 * of Zarafa in Legal Notices is allowed for unmodified and modified
 * versions of the software.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *  
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

#ifndef GUID_H
#define GUID_H

// Zarafa Internal used guids

// MAPI Interface implementations

// {8956AF38-EA4F-42bf-B24F-D4D8B6196A4A}
DEFINE_GUID(IID_ECMSProvider, 
0x8956af38, 0xea4f, 0x42bf, 0xb2, 0x4f, 0xd4, 0xd8, 0xb6, 0x19, 0x6a, 0x4a);

// {E3B26C47-AB5D-4586-97F3-AEDE80474136}
DEFINE_GUID(IID_ECXPProvider, 
0xe3b26c47, 0xab5d, 0x4586, 0x97, 0xf3, 0xae, 0xde, 0x80, 0x47, 0x41, 0x36);

// {2D3C584B-718D-410e-A383-73D4F74978DC}
DEFINE_GUID(IID_ECABProvider, 
0x2d3c584b, 0x718d, 0x410e, 0xa3, 0x83, 0x73, 0xd4, 0xf7, 0x49, 0x78, 0xdc);

// {766D15B9-23BE-41be-AAD2-E85D0849F5A2}
DEFINE_GUID(IID_ECMsgStore, 
0x766d15b9, 0x23be, 0x41be, 0xaa, 0xd2, 0xe8, 0x5d, 0x8, 0x49, 0xf5, 0xa2);

// {0999C37B-9F73-42bb-BA57-B88940FDD686}
DEFINE_GUID(IID_ECMSLogon, 
0x999c37b, 0x9f73, 0x42bb, 0xba, 0x57, 0xb8, 0x89, 0x40, 0xfd, 0xd6, 0x86);

// {432ADE55-91F5-4669-AEE5-D45B1F1A77DF}
DEFINE_GUID(IID_ECXPLogon, 
0x432ade55, 0x91f5, 0x4669, 0xae, 0xe5, 0xd4, 0x5b, 0x1f, 0x1a, 0x77, 0xdf);

// {19249E3B-D2E5-4216-BB64-180A7D6DC430}
DEFINE_GUID(IID_ECABLogon, 
0x19249e3b, 0xd2e5, 0x4216, 0xbb, 0x64, 0x18, 0xa, 0x7d, 0x6d, 0xc4, 0x30);

// {EDBFF82B-E110-461d-AAD1-338FD32E2587}
DEFINE_GUID(IID_ECMAPIFolder, 
0xedbff82b, 0xe110, 0x461d, 0xaa, 0xd1, 0x33, 0x8f, 0xd3, 0x2e, 0x25, 0x87);

// {E7B4AEFB-30E9-4f69-B4D4-E19744F24B5B}
DEFINE_GUID(IID_ECMAPIFolderPublic, 
0xe7b4aefb, 0x30e9, 0x4f69, 0xb4, 0xd4, 0xe1, 0x97, 0x44, 0xf2, 0x4b, 0x5b);

// {F88FAD0A-2A80-4bf6-9336-302CF7B8E2E2}
DEFINE_GUID(IID_ECMessage, 
0xf88fad0a, 0x2a80, 0x4bf6, 0x93, 0x36, 0x30, 0x2c, 0xf7, 0xb8, 0xe2, 0xe2);

// {41DEDE42-5481-4027-B379-C69E879FFD34}
DEFINE_GUID(IID_ECMAPIProp, 
0x41dede42, 0x5481, 0x4027, 0xb3, 0x79, 0xc6, 0x9e, 0x87, 0x9f, 0xfd, 0x34);

// {A7CCBF57-CAA9-4167-89BD-F2A791B6EB8D}
DEFINE_GUID(IID_ECMAPITable, 
0xa7ccbf57, 0xcaa9, 0x4167, 0x89, 0xbd, 0xf2, 0xa7, 0x91, 0xb6, 0xeb, 0x8d);

// {D78DD32E-C3A7-4e4d-AA79-8B0F28F9DA74}
DEFINE_GUID(IID_ECRecipTable, 
0xd78dd32e, 0xc3a7, 0x4e4d, 0xaa, 0x79, 0x8b, 0xf, 0x28, 0xf9, 0xda, 0x74);

// {B6AC9507-3345-4456-AE53-F0153629120A}
DEFINE_GUID(IID_ECMAPIContainer, 
0xb6ac9507, 0x3345, 0x4456, 0xae, 0x53, 0xf0, 0x15, 0x36, 0x29, 0x12, 0xa);

// {0AF6A8E8-FC28-4b66-88D0-644062C97F56}
DEFINE_GUID(IID_ECABContainer, 
0xaf6a8e8, 0xfc28, 0x4b66, 0x88, 0xd0, 0x64, 0x40, 0x62, 0xc9, 0x7f, 0x56);

// {3E76319E-763C-4027-9A0C-60A8B9C07538}
DEFINE_GUID(IID_ECExchangeImportHierarchyChanges, 
0x3e76319e, 0x763c, 0x4027, 0x9a, 0xc, 0x60, 0xa8, 0xb9, 0xc0, 0x75, 0x38);

// {3702C93D-69E2-40f6-86F1-13444C3DA20D}
DEFINE_GUID(IID_ECExchangeImportContentsChanges, 
0x3702c93d, 0x69e2, 0x40f6, 0x86, 0xf1, 0x13, 0x44, 0x4c, 0x3d, 0xa2, 0xd);

// {384DD97E-FFD4-4577-9B99-D6F9779B19DF}
DEFINE_GUID(IID_ECExchangeExportChanges, 
0x384dd97e, 0xffd4, 0x4577, 0x9b, 0x99, 0xd6, 0xf9, 0x77, 0x9b, 0x19, 0xdf);


// Internals

// {89A63BAC-97DA-4425-8665-695611CA4F53}
DEFINE_GUID(IID_ECTableOutGoingQueue, 
0x89a63bac, 0x97da, 0x4425, 0x86, 0x65, 0x69, 0x56, 0x11, 0xca, 0x4f, 0x53);

// {4DFE39BD-1DA7-47e1-A572-E1D266883D4E}
DEFINE_GUID(IID_ECNotifyClient, 
0x4dfe39bd, 0x1da7, 0x47e1, 0xa5, 0x72, 0xe1, 0xd2, 0x66, 0x88, 0x3d, 0x4e);

// {475300CD-F83F-4b55-87FB-4A59C11A6395}
DEFINE_GUID(IID_IECPropStorage, 
0x475300cd, 0xf83f, 0x4b55, 0x87, 0xfb, 0x4a, 0x59, 0xc1, 0x1a, 0x63, 0x95);

// {4FB1E905-7317-4560-A3BC-B544ABFDBF78}
DEFINE_GUID(IID_ECTransport, 
0x4fb1e905, 0x7317, 0x4560, 0xa3, 0xbc, 0xb5, 0x44, 0xab, 0xfd, 0xbf, 0x78);

// {B99F216D-4F02-4492-AC48-E40379C5F7EC}
DEFINE_GUID(IID_ECMAPIFolderOps, 
0xb99f216d, 0x4f02, 0x4492, 0xac, 0x48, 0xe4, 0x3, 0x79, 0xc5, 0xf7, 0xec);

// {6510468F-6794-493b-8F0A-A7E02A904CD5}
DEFINE_GUID(IID_ECTableView, 
0x6510468f, 0x6794, 0x493b, 0x8f, 0xa, 0xa7, 0xe0, 0x2a, 0x90, 0x4c, 0xd5);

// {42F691D7-F7BB-4646-94AB-A0C9652F9904}
DEFINE_GUID(IDD_ECUserGroupArray, 
0x42f691d7, 0xf7bb, 0x4646, 0x94, 0xab, 0xa0, 0xc9, 0x65, 0x2f, 0x99, 0x4);

// {F3022F76-9DE9-4d8b-AE05-B3F3B71B39B6}
DEFINE_GUID(IDD_ECRightsArray, 
0xf3022f76, 0x9de9, 0x4d8b, 0xae, 0x5, 0xb3, 0xf3, 0xb7, 0x1b, 0x39, 0xb6);

// {CC82DA63-A36F-4de9-840A-2DEAFC56BF31}
DEFINE_GUID(IID_ECTransportNotify, 
0xcc82da63, 0xa36f, 0x4de9, 0x84, 0xa, 0x2d, 0xea, 0xfc, 0x56, 0xbf, 0x31);

// {A7712BD8-A76A-4bd2-BCFC-5BE4AFC3BBE5}
DEFINE_GUID(IID_ECAttach, 
0xa7712bd8, 0xa76a, 0x4bd2, 0xbc, 0xfc, 0x5b, 0xe4, 0xaf, 0xc3, 0xbb, 0xe5);

// {AD68DBFB-F741-48fc-AEA1-A52C895510DD}
DEFINE_GUID(IID_ECMemPropStorage, 
0xad68dbfb, 0xf741, 0x48fc, 0xae, 0xa1, 0xa5, 0x2c, 0x89, 0x55, 0x10, 0xdd);

DEFINE_GUID(GUID_NULL, 
0x00000000, 0x0000, 0x0000, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00);

// {516c1130-c316-41b9-ad66-66f111d3592e}
DEFINE_GUID(IID_ECChunkStorage,
0x516c1130, 0xc316, 0x41b9, 0xad, 0x66, 0x66, 0xf1, 0x11, 0xd3, 0x59, 0x2e);

// {38E50177-30C8-4081-8DD5-9E0B5BC7E7EF}
DEFINE_GUID(IID_ECMAPISupport, 
0x38e50177, 0x30c8, 0x4081, 0x8d, 0xd5, 0x9e, 0xb, 0x5b, 0xc7, 0xe7, 0xef);

// {373593A9-2B97-4c8b-8EBF-EB6AB0BA960F}
DEFINE_GUID(IID_WSMAPIPropStorage, 
0x373593a9, 0x2b97, 0x4c8b, 0x8e, 0xbf, 0xeb, 0x6a, 0xb0, 0xba, 0x96, 0xf);

// {71080DA1-F54C-4a6d-8A64-31CF155B7F5A}
DEFINE_GUID(IID_ECMAPIOfflineMgr, 
0x71080da1, 0xf54c, 0x4a6d, 0x8a, 0x64, 0x31, 0xcf, 0x15, 0x5b, 0x7f, 0x5a);

DEFINE_GUID(IID_ECParentStorage,
0x4d404cfb, 0xfdd4, 0x4c71, 0x84,0xf1, 0xe2, 0xd5, 0xea, 0xd4, 0xb8, 0x31);

////////////
// Addressbook stuff

// {DE3598D9-02B4-449d-8116-27D978C4587F}
DEFINE_GUID(IID_WSABPropStorage, 
0xde3598d9, 0x2b4, 0x449d, 0x81, 0x16, 0x27, 0xd9, 0x78, 0xc4, 0x58, 0x7f);

// {77B5240D-8611-44a9-A4D3-C88CF7033D5E}
DEFINE_GUID(IID_ECABProp, 
0x77b5240d, 0x8611, 0x44a9, 0xa4, 0xd3, 0xc8, 0x8c, 0xf7, 0x3, 0x3d, 0x5e);

// {359DD775-AC2A-4fec-AE42-7FC2E870D4D0}
DEFINE_GUID(IID_ECMailUser, 
0x359dd775, 0xac2a, 0x4fec, 0xae, 0x42, 0x7f, 0xc2, 0xe8, 0x70, 0xd4, 0xd0);

// {1112A78F-84FB-4539-A373-6A4967E72068}
DEFINE_GUID(IID_ECDistList, 
0x1112a78f, 0x84fb, 0x4539, 0xa3, 0x73, 0x6a, 0x49, 0x67, 0xe7, 0x20, 0x68);

// Same as MUIDECSAB_SERVER
// {50A921AC-D340-48ee-B319-FBA753304425}
DEFINE_GUID(MUIDECSAB, 
0x50a921ac, 0xd340, 0x48ee, 0xb3, 0x19, 0xfb, 0xa7, 0x53, 0x30, 0x44, 0x25);

#endif
